Subject: Re: [PATCH v2] bonding: move IPv6 support into a separate kernel module

From: Brian Haley <[email-masked]>
Date: Thu, 26 Feb 2009 15:01:18 -0500

Chuck Lever wrote:
>> I think changing ipv6 to support a disable_ipv6 module parameter like 
>> Vlad suggested would work, as long as we're not worried about someone 
>> opening an AF_INET6 socket - even if they do they won't get anywhere.
> 
> In this case, if IPV6ONLY is set on an AF_INET6 listener, it should 
> still get AF_INET traffic, correct?

No, it should get nothing, and a send should get ENETUNREACH.

-Briian